Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 713)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 714)
@@ -417,12 +417,14 @@
 \section{Experiments and evaluation}\label{sec:experiments}
 
-In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed on the CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of the adopted models and assumptions.
+TODO - correct, improve, refactor...
+
+In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. The experiments were first performed on the CoolEmAll testbed to collect all necessary data and then repeated using DCWoRMS tool. Based on the obtained results we studied the impact of popular energy-aware resource management policies on the energy consumption. The following sections contains description of the used system, tested application and the results of simulation experiments conducted for the evaluated strategies.
 
 \subsection{Testbed description}
 
 
-To obtain values of power consumption that could be later used in DCWoRMS environment to build the model and to evaluate resource management policies we ran a set of applications / benchmarks on the physical testbed. For experimental purposes we choose the high-density Resource Efficient Cluster Server (RECS) system. The single RECS unit consists of 18 single CPU modules, each of them can be treated as an individual node of PC class. Configuration of our RECS unit is presented in Table~\ref{testBed}. The RECS system was chosen due to its heterogeneous platform with very high density and energy efficiency that has a monitoring and controlling mechanism integrated. The built-in and additional sensors allow to monitor the complete testbed at a very fine granularity level without the negative impact of the computing- and network-resources. 
-
-\begin {table}[ tp]
+To obtain values of power consumption that could be later used in DCWoRMS environment to build the model and to evaluate resource management policies we ran a set of applications / benchmarks on the physical testbed. For experimental purposes we choose the high-density Resource Efficient Cluster Server (RECS) system. The single RECS unit consists of 18 single CPU modules, each of them can be treated as an individual node of PC class. Configuration of our RECS unit is presented in Table~\ref{testBed}. 
+
+\begin {table}[h!]
 
 \begin{tabular}{llr}
@@ -444,8 +446,11 @@
 \end {table}
 
+
+The RECS system was chosen due to its heterogeneous platform with very high density and energy efficiency that has a monitoring and controlling mechanism integrated. The built-in and additional sensors allow to monitor the complete testbed at a very fine granularity level without the negative impact of the computing- and network-resources. 
+
+
 \subsection{Evaluated applications}
 
-To demonstrate capabilities of the simulator in terms of energy efficiency modeling we present examples of experiments performed using the DCWoRMS. First we carried out a set of tests on the real hardware used as a CoolEmAll testbed to build the performance and energy profile of applications. Then we applied this data into the simulation environment and used to investigate different approaches to energy-aware resource management. 
-The following applications were evaluated:
+As mentioned, first we carried out a set of tests on the real hardware used as a CoolEmAll testbed to build the performance and energy profile of applications. Then we applied this data into the simulation environment and used to investigate different approaches to energy-aware resource management.  The following applications were evaluated:
 
 \textbf{Abinit} is a widely-used application for computational physics simulating systems made of electrons and nuclei to be calculated within density functional theory.
@@ -503,8 +508,6 @@
 \subsection{Computational analysis}
 
-TODO - correct, improve, refactor...
-
-The following section discusses the results obtained for the workload with load density equal to 70\% in the light of five resource management and scheduling strategies. 
-The first considered by us policy was the strategy in which tasks were assigned to nodes in random manner with the reservation that they can be assigned only to nodes of the type which the application was possible to execute on and we have the corresponding value of power consumption and execution time. The random strategy is only the reference one and will be later used to compare benefits in terms of energy efficiency resulting from more sophisticated algorithms. Two versions of the strategy were considered. The former one in which unused nodes are not switched off, which case is still the the primary one in many HPC centers and the former one getting more popular due to energy costs in which unused nodes are switched off to reduce the total energy consumption.
+In the following section presents the results obtained for the workload with load density equal to 70\% in the light of five resource management and scheduling strategies. Then we discusses the corresponding results received for workloads with other density level.
+The first considered by us policy was the strategy in which tasks were assigned to nodes in random manner with the reservation that they can be assigned only to nodes of the type which the application was possible to execute on and we have the corresponding value of power consumption and execution time. The random strategy is only the reference one and will be later used to compare benefits in terms of energy efficiency resulting from more sophisticated algorithms. 
 
 
@@ -517,5 +520,7 @@
 \textbf{total energy usage [kWh]} : 46,883
 \textbf{mean power consumption [W]} : 316,17
-\textbf{workload completion [s]} : 266 347
+\textbf{workload completion [s]} : 533 820
+
+We investigated also the second version of this strategy, which is getting more popular due to energy costs in which unused nodes are switched off to reduce the total energy consumption. In the previous one, unused nodes are not switched off, which case is still the the primary one in many HPC centers. 
 
 \begin{figure}[h!]
@@ -527,5 +532,7 @@
 \textbf{total energy usage [kWh]} : 36,705
 \textbf{mean power consumption [W]} : 247,53
-\textbf{workload completion [s]} : 266 347
+\textbf{workload completion [s]} : 533 820
+
+In this version of experiment we neglected additional cost and time necessary to  change the power state of resources. As expected, switching of unused nodes led to significant decrease of the total energy consumption. The overall savings reached 22\%
 
 The next two evaluate resource management strategies try to decrease the total energy consumption needed to execute the whole workload taking into account differences in applications and hardware profiles.  We tried to match both profiles to find the more energy efficient assignment. In the first case we assumed that there is again no possibility to switch off unused nodes, thus for the whole time needed to execute workload nodes consume at least power for idle state. To obtain the minimal energy consumption, tasks has to be assigned to the nodes of type for which the difference between energy consumption for the node running the application and in the idle state is minimal.
@@ -540,5 +547,5 @@
 \textbf{total energy usage [kWh]} : 46,305
 \textbf{mean power consumption [W]} : 311,94
-\textbf{workload completion [s]} : 265 822
+\textbf{workload completion [s]} : 534 400
 
 
@@ -555,5 +562,5 @@
 \textbf{total energy usage [kWh]} : 30,568
 \textbf{mean power consumption [W]} : 206,15
-\textbf{workload completion [s]} : 264 944
+\textbf{workload completion [s]} : 533 820
 
 The last considered by us case is modification of the one of previous strategies taking into account the energy-efficiency of nodes. We assume that tasks do not have deadlines and the only criterion which is taken into consideration is the total energy consumption. All the considered workloads have been executed on the testbed configured for three different possible frequencies of CPUs â the lowest, medium and the highest one. The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload.
@@ -568,5 +575,5 @@
 \textbf{total energy usage [kWh]} : 77,108
 \textbf{mean power consumption [W]} : 260,57
-\textbf{workload completion [s]} : 445 886
+\textbf{workload completion [s]} : 1 065 356
 
 