Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 716)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 717)
@@ -94,13 +94,11 @@
 \@writefile{lof}{\contentsline {figure}{\numberline {13}{\ignorespaces  Frequency downgrading strategy}}{26}}
 \newlabel{fig:70dfs}{{13}{26}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{26}}
-\newlabel{sec:coolemall}{{6}{26}}
 \@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Energy usage [kWh] for different level of system load}}{27}}
 \newlabel{loadEnergy}{{4}{27}}
 \@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Makespan [s] for different level of system load}}{27}}
 \newlabel{loadMakespan}{{5}{27}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{27}}
+\newlabel{sec:coolemall}{{6}{27}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{28}}
-\newlabel{}{{7}{28}}
 \bibcite{CloudSim}{{2}{}{{}}{{}}}
 \bibcite{DCSG}{{3}{}{{}}{{}}}
@@ -110,4 +108,6 @@
 \bibcite{games}{{7}{}{{}}{{}}}
 \bibcite{GreenCloud}{{8}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
+\newlabel{}{{7}{29}}
 \bibcite{sla}{{9}{}{{}}{{}}}
 \bibcite{GSSIM}{{10}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 716)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 717)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1356710663 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1356716777 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1356710665 7300 93160f416a8461d41a3c200dac702a78 ""
-  "elsarticle-DCWoRMS.spl" 1356710663 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1356710660 64538 98c98b811c1eb8e1409935f8ce2553dd ""
+  "elsarticle-DCWoRMS.aux" 1356716779 7300 0979c20bb2a905f6c68aacab6fdfbbcc ""
+  "elsarticle-DCWoRMS.spl" 1356716778 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1356716773 65095 81b0e5d65aaa665e50bfc482b89dbf68 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfs.png" 1356617710 212573 e013d714dd1377384ed7793222210051 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 716)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 717)
@@ -156,5 +156,5 @@
 TODO - update
 
-The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed using DCWoRMS utilizing real testbed nodes models to show varius types of popular resource and scheduling technics allowing to decrease the total power consumption of the execution of a set of tasks. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
+The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed using DCWoRMS utilizing real testbed nodes models to show various types of popular resource and scheduling technics allowing to decrease the total power consumption of the execution of a set of tasks. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
 
 \section{Related Work}
@@ -472,8 +472,8 @@
 \begin {table}[ tp]
 
-\begin{tabular}{lllllr}
-\hline
-Characteristic & \multicolumn{4}{c}{Load intensity} & Distribution\\
-& 10  & 30 & 50 & 70  \\
+\begin{tabular}{l c c c c r}
+\hline
+ & \multicolumn{4}{c}{Load intensity} & \\
+Characteristic & 10  & 30 & 50 & 70  & Distribution\\
 \hline
 Task Count & \multicolumn{4}{c}{1000} & constant\\
@@ -481,5 +481,5 @@
 Task Interval [s] & 3000 & 1200 & 720 & 520 & poisson\\
 \hline
-\multirow{8}{*}{Number of cores to run}  & \multicolumn{4}{c}{1} & uniform- 30\%\\
+\multirow{8}{*}{Number of cores to run}  & \multicolumn{4}{c}{1} & uniform - 30\%\\
  & \multicolumn{4}{c}{2} & uniform - 30\%\\
  & \multicolumn{4}{c}{3} & uniform - 10\%\\
@@ -490,5 +490,5 @@
  & \multicolumn{4}{c}{8} & uniform - 5\%\\
 \hline
-\multirow{5}{*}{Application type}  & \multicolumn{4}{c}{Abinit} & uniform- 20\%\\
+\multirow{5}{*}{Application type}  & \multicolumn{4}{c}{Abinit} & uniform - 20\%\\
  & \multicolumn{4}{c}{C-Ray} & uniform - 20\%\\
  & \multicolumn{4}{c}{Tar} & uniform - 20\%\\
@@ -549,5 +549,5 @@
 \end {table}
 
-As mentioned, we assign tasks to nodes minimizing the value of expression: $(P-Pidle)*exec\_time$, where $P$ denotes observed power of the node running the particular application and $exec_time$ refers to the measured application running time. Based on the application and hardware profiles, we expected that Atom D510 would be the preferred node. Obtained scheduled, that is presented in the Gantt chart in Figure~\ref{fig:70eo} along with the energy and system usage, confirmed our assumptions. Atom D510 nodes are nearly fully loaded, while the least energy-favorable AMD nodes are used only when other ones are busy.
+As mentioned, we assign tasks to nodes minimizing the value of expression: $(P-Pidle)*exec\_time$, where $P$ denotes observed power of the node running the particular application and $exec\_time$ refers to the measured application running time. Based on the application and hardware profiles, we expected that Atom D510 would be the preferred node. Obtained scheduled, that is presented in the Gantt chart in Figure~\ref{fig:70eo} along with the energy and system usage, confirmed our assumptions. Atom D510 nodes are nearly fully loaded, while the least energy-favorable AMD nodes are used only when other ones are busy.
 
 \begin{figure}[h!]
@@ -569,11 +569,10 @@
 \end{figure}
 
-Estimated \textbf{total energy usage} of the system is 30,568 kWh. As we can see, this approach significantly improved the value of this criterion, comparing to all of the previous policies. Moreover, the proposed allocation strategy does not worsen the \textbf{workload completion time} criterion, where the resulting value is equal to 533 820 s.
+Estimated \textbf{total energy usage} of the system is 30,568 kWh. As we can see, this approach significantly improved the value of this criterion, comparing to the previous policies. Moreover, the proposed allocation strategy does not worsen the \textbf{workload completion time} criterion, where the resulting value is equal to 533 820 s.
 
 \subsubsection{Frequency scaling}
 
-The last considered by us case is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration is the total energy consumption. All the considered workloads have been executed on the testbed configured for three different possible frequencies of CPUs â the lowest, medium and the highest one. The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload.
-
-
+The last considered by us case is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration is the total energy consumption. In this experiment we configured the simulated infrastructure for the lowest possible frequencies of CPUs. The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload. The values of the evaluated criteria are as follows: \textbf{workload completion time}: 1 065 356 s and \textbf{total energy usage}: 77,109 kWh. As we can see, for the given load of the system (70\%), the cost of running the workload that require almost twice more time, can not be compensate by the lower power draw.  Moreover, as it can be observed on the charts in Figure~\ref{fig:70dfs} the execution times on the slowest nodes (Atom D510) visibly exceeds the corresponding values on other servers
+	
 \begin{figure}[h!]
 \centering
@@ -582,10 +581,7 @@
 \end{figure}
 
-\textbf{total energy usage}: 77,108 kWh
-\textbf{workload completion time}: 1 065 356 s
-
-
-....
-
+
+As we were looking for the trade-off between total completion time and energy usage, we were searching for the workload load level that can benefit from the lower system performance in terms of energy-efficiency. For the frequency downgrading policy, we observed the improvement on the energy usage criterion only for the workload resulting in 10\% system load.
+The following tables: Table~\ref{loadEnergy} and Table~\ref{loadMakespan} contain the values of evaluation criteria (total energy usage and makespan respectively) gathered for all investigated workloads.
 
 \begin {table}[h!]
@@ -594,10 +590,10 @@
 \hline
 &  \multicolumn{5}{c}{Strategy}\\
-Load  & R & R + NPM & EO & EO + NPM & DFS\\
+Load  & R & R+NPM & EO & EO+NPM & DFS\\
 \hline
 10\% & 241,337 &	37,811 & 239,667 & 25,571 & 239,278 \\
-30\% &89,853 & 38,059 & 88,823 & 25,595.94	 & 90,545 \\
+30\% &89,853 & 38,059 & 88,823 & 25,595 & 90,545 \\
 50\% &59,112 & 36,797 & 58,524 & 26,328	& 76,020 \\
-70\% &46,883 & 36,705 & 46,3062 & 30,568 & 77,109 \\
+70\% &46,883 & 36,705 & 46,305 & 30,568 & 77,109 \\
 \hline
 \end{tabular}
@@ -610,5 +606,5 @@
 \hline
 &  \multicolumn{5}{c}{Strategy}\\
-Load  & R & R + NPM & EO & EO + NPM & DFS\\
+Load  & R & R+NPM & EO & EO+NPM & DFS\\
 \hline
 10\% & 3 605 428 & 3 605 428 & 3 605 428 & 3 605 428 & 3 622 968 \\