Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 718)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 720)
@@ -94,12 +94,16 @@
 \@writefile{lof}{\contentsline {figure}{\numberline {13}{\ignorespaces  Frequency downgrading strategy}}{26}}
 \newlabel{fig:70dfs}{{13}{26}}
-\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Energy usage [kWh] for different level of system load}}{27}}
+\@writefile{lof}{\contentsline {figure}{\numberline {14}{\ignorespaces  Schedules obtained for Random strategy (left) and DFS strategy (right) for 10\% of system load}}{27}}
+\newlabel{fig:dfsComp}{{14}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}}{27}}
 \newlabel{loadEnergy}{{4}{27}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Makespan [s] for different level of system load}}{27}}
-\newlabel{loadMakespan}{{5}{27}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{27}}
-\newlabel{sec:coolemall}{{6}{27}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}}{28}}
+\newlabel{loadMakespan}{{5}{28}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{28}}
+\newlabel{sec:coolemall}{{6}{28}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
 \bibcite{CloudSim}{{2}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
+\newlabel{}{{7}{29}}
 \bibcite{DCSG}{{3}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{4}{}{{}}{{}}}
@@ -107,6 +111,4 @@
 \bibcite{Ghislain}{{6}{}{{}}{{}}}
 \bibcite{games}{{7}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
-\newlabel{}{{7}{29}}
 \bibcite{GreenCloud}{{8}{}{{}}{{}}}
 \bibcite{sla}{{9}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 719)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 720)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1356772502 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1356789938 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1356772505 7300 77089d653ebaaabee96ed90d7881bfd3 ""
-  "elsarticle-DCWoRMS.spl" 1356772503 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1356772502 65393 e1002ec8f4e2fa90cf08425cf83997ea ""
+  "elsarticle-DCWoRMS.aux" 1356789941 7837 5e91641a0d7007551f7b0fa7dbed8f0b ""
+  "elsarticle-DCWoRMS.spl" 1356789939 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1356789934 66354 8fcf12eb6ee32d4660a4487151e8dc8e ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfs.png" 1356617710 212573 e013d714dd1377384ed7793222210051 ""
@@ -41,4 +41,5 @@
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
   "fig/arch.png" 1353403503 184917 61b6fddc71ce603779f09b272cd2f164 ""
+  "fig/dfsComp.png" 1356777108 463823 66bdecf7e173c8da341c4e74dc7d8027 ""
   "fig/jobsStructure.png" 1353403491 128220 3ee11e5fa0d14d8265671725666ef6f7 ""
   "fig/power-fans.png" 1354275938 26789 030a69cecd0eda7c4173d2a6467b132b ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 719)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 720)
@@ -426,5 +426,5 @@
 
 \begin {table}[h!]
-
+\centering
 \begin{tabular}{llr}
 \hline
@@ -436,9 +436,9 @@
 Atom D510 64 Bit & 2 GB &	4 \\
 \hline
-\multicolumn{3}{c}{Storage} \\
-Type & Size & Connection  \\
-\hline
-Storage Head 520 & 16 x 300 GB SSD & 2 x 10 Gbit/s CX4 \\
-\hline
+%\multicolumn{3}{c}{Storage} \\
+%Type & Size & Connection  \\
+%\hline
+%Storage Head 520 & 16 x 300 GB SSD & 2 x 10 Gbit/s CX4 \\
+%\hline
 \end{tabular}
 \caption {\label{testBed} RECS system configuration}
@@ -471,5 +471,5 @@
 
 \begin {table}[ tp]
-
+\centering
 \begin{tabular}{l c c c c r}
 \hline
@@ -529,5 +529,5 @@
 \end{figure}
 
-In this version of experiment we neglected additional cost and time necessary to change the power state of resources. As can be observed in the power consumption chart in the Figure~\ref{fig:70rnpm}, switching of unused nodes led to decrease of the total energy consumption. As expected, with respect to the makespan criterion, both approaches perform equally reaching \textbf{workload completion time}: 533 820 s. However, the pure random strategy was significantly outperformed in terms of energy usage, by the policy with additional node power management with it \textbf{total energy usage}: 36,705 kWh. The overall energy savings reached 22\%. 
+In this version of experiment we neglected additional cost and time necessary to change the power state of resources. As can be observed in the power consumption chart in the Figure~\ref{fig:70rnpm}, switching of unused nodes led to decrease of the total energy consumption. As expected, with respect to the makespan criterion, both approaches perform equally reaching \textbf{workload completion time}: 533 820 s. However, the pure random strategy was significantly outperformed in terms of energy usage, by the policy with additional node power management with its \textbf{total energy usage}: 36,705 kWh. The overall energy savings reached 22\%. 
 
 \subsubsection{Energy optimization}
@@ -549,5 +549,5 @@
 \end {table}
 
-As mentioned, we assign tasks to nodes minimizing the value of expression: $(P-Pidle)*exec\_time$, where $P$ denotes observed power of the node running the particular application and $exec\_time$ refers to the measured application running time. Based on the application and hardware profiles, we expected that Atom D510 would be the preferred node. Obtained scheduled, that is presented in the Gantt chart in Figure~\ref{fig:70eo} along with the energy and system usage, confirmed our assumptions. Atom D510 nodes are nearly fully loaded, while the least energy-favorable AMD nodes are used only when other ones are busy.
+As mentioned, we assign tasks to nodes minimizing the value of expression: $(P-Pidle)*exec\_time$, where $P$ denotes observed power of the node running the particular application and $exec\_time$ refers to the measured application running time. Based on the application and hardware profiles, we expected that Atom D510 would be the preferred node. Obtained schedule, that is presented in the Gantt chart in Figure~\ref{fig:70eo} along with the energy and system usage, confirmed our assumptions. Atom D510 nodes are nearly fully loaded, while the least energy-favourable AMD nodes are used only when other ones are busy.
 
 \begin{figure}[h!]
@@ -560,6 +560,6 @@
 
 
-The next strategy is similar to the previous one, so making the assignment of task to the node, we still take into consideration application and hardware profiles, but in that case we assume that the system supports possibility of switching off unused nodes. In this case the minimal energy consumption is achieved by assigning the task to the node for which the product of power consumption and time of execution is minimal. In other words we minimized the following expression: "$P*exec\_time$.
-Contrary to the previous strategy, we expected Intel I7 nodes to be allocated first. Generated Gantt chart is compatible with our expectations.
+The next strategy is similar to the previous one, so making the assignment of task to the node, we still take into consideration application and hardware profiles, but in that case we assume that the system supports possibility of switching off unused nodes. In this case the minimal energy consumption is achieved by assigning the task to the node for which the product of power consumption and time of execution is minimal. In other words we minimized the following expression: $P*exec\_time$.
+Contrary to the previous strategy, we expected Intel I7 nodes to be allocated first. Generated Gantt chart is consistent with our expectations.
 
 \begin{figure}[h!]
@@ -569,5 +569,5 @@
 \end{figure}
 
-Estimated \textbf{total energy usage} of the system is 30,568 kWh. As we can see, this approach significantly improved the value of this criterion, comparing to the previous policies. Moreover, the proposed allocation strategy does not worsen the \textbf{workload completion time} criterion, where the resulting value is equal to 533 820 s.
+Estimated \textbf{total energy usage} of the system is 30,568 kWh. As we can see, this approach significantly improved the value of this criterion, comparing to the previous policies. Moreover, the proposed allocation strategy does not worsen the \textbf{workload completion time} criterion, for which the resulting value is equal to 533 820 s.
 
 \subsubsection{Frequency scaling}
@@ -583,4 +583,13 @@
 
 As we were looking for the trade-off between total completion time and energy usage, we were searching for the workload load level that can benefit from the lower system performance in terms of energy-efficiency. For the frequency downgrading policy, we observed the improvement on the energy usage criterion only for the workload resulting in 10\% system load.
+
+Figure~\ref{fig:dfsComp} shows schedules obtained for Random and DFS strategy. One should easily note that the
+\begin{figure}[h!]
+\centering
+\includegraphics[width = 12cm]{fig/dfsComp.png}
+\caption{\label{fig:dfsComp} Schedules obtained for Random strategy (left) and DFS strategy (right) for 10\% of system load}
+\end{figure}
+
+
 The following tables: Table~\ref{loadEnergy} and Table~\ref{loadMakespan} contain the values of evaluation criteria (total energy usage and makespan respectively) gathered for all investigated workloads.
 
@@ -598,5 +607,5 @@
 \hline
 \end{tabular}
-\caption {\label{loadEnergy} Energy usage [kWh] for different level of system load}
+\caption {\label{loadEnergy} Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}
 \end {table}
 
@@ -614,6 +623,10 @@
 \hline
 \end{tabular}
-\caption {\label{loadMakespan} Makespan [s] for different level of system load}
+\caption {\label{loadMakespan} Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}
 \end {table}
+
+One should easily note that gain from switching off unused nodes decreases with the increasing workload density. In general, for the highly loaded system such policy does not find an application due to the cost related to this process and relatively small benefits.
+
+...
 
 \section{DCWoRMS application/use cases}\label{sec:coolemall}