Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 725)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 728)
@@ -77,5 +77,5 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Methodology}{20}}
 \@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  Workload characteristics}}{21}}
-\newlabel{workloadChatacteristics}{{2}{21}}
+\newlabel{workloadCharacteristics}{{2}{21}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Computational analysis}{21}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {5.4.1}Random approach}{22}}
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 727)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 728)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1356943155 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1356943909 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1356943158 7837 4960583060a2754ef122f8caaf9474c9 ""
-  "elsarticle-DCWoRMS.spl" 1356943155 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1356943153 66631 905eb17d933e214a4c9a87ca40a7a618 ""
+  "elsarticle-DCWoRMS.aux" 1356943911 7837 67e14b1fac09b7adec981f20f88b1c56 ""
+  "elsarticle-DCWoRMS.spl" 1356943909 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1356943906 66669 b66e98beb0e6a0fd852a17c89115c18a ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfs.png" 1356617710 212573 e013d714dd1377384ed7793222210051 ""
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 727)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 728)
@@ -468,5 +468,5 @@
 Every chosen application / benchmark was executed on each type of node, for all frequencies supported by the CPU and for different levels of parallelization (number of cores). To eliminate the problem with assessing which part of the power consumption comes from which application, in case when more then one application is ran on the node, the queuing system (SLURM) was configured to run jobs in exclusive mode (one job per node). Such configuration is often used for at least dedicated part of HPC resources. The advantage of the exclusive mode scheduling policy consist in that the job gets all the resources of the assigned nodes for optimal parallel performance and applications running on the same node do not influence each other. For every configuration of application, type of node and CPU frequency we measure the average power consumption of the node and the execution time. The aforementioned values  were used to configure the DCWoRMS environment providing energy and time execution models.
 Based on the models obtained for the considered set of resources and applications we evaluated a set of resource management strategies in terms of energy consumption needed to execute three workloads varying in load intensity (10\%, 30\%, 50\%, 70\%).
-To generate a workload we used the DCWoRMS workload generator tool using the following characteristics.
+To generate a workload we used the DCWoRMS workload generator tool using the following characteristics (Table~\ref{workloadCharacteristics}).
 
 \begin {table}[ tp]
@@ -499,5 +499,5 @@
 \hline
 \end{tabular}
-\caption {\label{workloadChatacteristics} Workload characteristics}
+\caption {\label{workloadCharacteristics} Workload characteristics}
 \end {table}
 