Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 728)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 731)
@@ -102,7 +102,6 @@
 \@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{28}}
 \newlabel{sec:coolemall}{{6}{28}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
-\newlabel{}{{7}{29}}
 \bibcite{CloudSim}{{2}{}{{}}{{}}}
 \bibcite{DCSG}{{3}{}{{}}{{}}}
@@ -112,4 +111,5 @@
 \bibcite{games}{{7}{}{{}}{{}}}
 \bibcite{GreenCloud}{{8}{}{{}}{{}}}
+\newlabel{}{{7}{30}}
 \bibcite{sla}{{9}{}{{}}{{}}}
 \bibcite{GSSIM}{{10}{}{{}}{{}}}
@@ -127,3 +127,3 @@
 \bibcite{pue}{{22}{}{{}}{{}}}
 \bibcite{sgi}{{23}{}{{}}{{}}}
-\providecommand\NAT@force@numbers{}\NAT@force@numbers
+\global\NAT@numberstrue
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 730)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 731)
@@ -117,7 +117,7 @@
 %% Text of abstract
 
-In the recent years, the issue of computing infrastructures energy-efficiency has gained great attention. In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulations of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
-We discuss methods of power usage modeling available in the simulator. To this end, we compare the results of simulations to measurements from the real servers. 
-To demonstrate DCWoRMS capabilities we evaluate the impact of several resource management policies on overall energy-efficiency of specific workloads on heterogeneous resources.
+In the recent years, energy-efficiency of computing infrastructures has gained a great attention. For this reason, proper estimation and evaluation of energy that is required to execute grid and cloud workloads became an important research problem. In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulation of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
+We discuss methods of power usage modeling available in the simulator. To this end, we compare results of simulations to measurements of real servers. 
+To demonstrate DCWoRMS capabilities we evaluate impact of several resource management policies on overall energy-efficiency of specific workloads executed on heterogeneous resources.
 
 \end{abstract}
@@ -141,7 +141,5 @@
 \section{Introduction}
 
-TODO - update 
-
-Data centers are responsible for around 2\% of the global energy consumption making it equal to the demand of aviation industry \cite{koomey}. In many current data centers the actual IT equipment uses only half of the total energy (e.g. 45-62\% in \cite{hintemann}) while most of the remaining part is required for cooling and air movement resulting in poor Power Usage Effectiveness (PUE) \cite{pue} values. Large energy needs and significant $CO_2$ emissions caused that issues related to cooling, heat transfer, and IT infrastructure location are more and more carefully studied during planning and operation of data centers.
+Large-scale computing infrastructures such as grids and clouds caused quick development of data centers. Nowadays, data centers are responsible for around 2\% of the global energy consumption making it equal to the demand of aviation industry \cite{koomey}. In many current data centers the actual IT equipment uses only half of the total energy (e.g. 45-62\% in \cite{hintemann}) while most of the remaining part is required for cooling and air movement resulting in poor Power Usage Effectiveness (PUE) \cite{pue} values. Large energy needs and significant $CO_2$ emissions caused that issues related to cooling, heat transfer, and IT infrastructure location are more and more carefully studied during planning and operation of data centers.
 Even if we take ecological and footprint issues aside, the amount of consumed energy can impose strict limits on data centers. First of all, energy bills may reach millions euros making computations expensive. 
 Furthermore, available power supply is usually limited so it also may reduce data center development capabilities, especially looking at challenges related to exascale computing breakthrough foreseen within this decade.
@@ -152,9 +150,9 @@
 These tools should support data center designers and operators by answering questions how specific application types, levels of load, hardware specifications, physical arrangements, cooling technology, etc. impact overall data center energy efficiency. 
 
-In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulations of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
-We discuss methods of power usage modeling available in the simulator. To this end, we compare results of simulations to measurements from the real servers. 
-To demonstrate DCWoRMS capabilities we evaluate impact of several resource management policies on overall energy-efficiency of specific workloads on heterogeneous resources.
-
-The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed using DCWoRMS utilizing real testbed nodes models to show various types of popular resource and scheduling technics allowing to decrease the total power consumption of the execution of a set of tasks. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
+In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulation of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
+We discuss methods of power usage modeling available in the simulator. To this end, we compare results of simulations to measurements of real servers. 
+To demonstrate DCWoRMS capabilities we evaluate impact of several resource management policies on overall energy-efficiency of specific workloads executed on heterogeneous resources.
+
+The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, such as Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we assess the energy models by comparison of simulation results with real measurements. We also present experiments that were performed using DCWoRMS to show various types of resource and scheduling technics allowing to decrease the total energy consumption of the execution of a set of tasks. In Section~6 we explain how to integrate workload and resource simulations with heat transfer simulations within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
 
 \section{Related Work}
@@ -652,4 +650,8 @@
 TODO - Conclusions and future research
 
+\section*{Acknowledgement}
+The results presented in this paper are partially funded by the European Commission under contract 288701 through the project CoolEmAll and by grants
+from Polish National Science Center: a grant under award number 636/N-COST/09/2010/0 and a grant under award number 5790/B/T02/2010/38.
+
 
 \label{}