Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 731)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 732)
@@ -75,32 +75,39 @@
 \newlabel{testBed}{{1}{19}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Evaluated applications}{20}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Methodology}{20}}
-\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  Workload characteristics}}{21}}
-\newlabel{workloadCharacteristics}{{2}{21}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Computational analysis}{21}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.4.1}Random approach}{22}}
-\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Random strategy}}{22}}
-\newlabel{fig:70r}{{9}{22}}
-\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Random + switching off unused nodes strategy}}{23}}
-\newlabel{fig:70rnpm}{{10}{23}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.4.2}Energy optimization}{23}}
-\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  Measured power of testbed nodes in idle state}}{24}}
-\newlabel{idlePower}{{3}{24}}
-\@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Energy usage optimization strategy}}{24}}
-\newlabel{fig:70eo}{{11}{24}}
-\@writefile{lof}{\contentsline {figure}{\numberline {12}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{25}}
-\newlabel{fig:70eonpm}{{12}{25}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.4.3}Frequency scaling}{26}}
-\@writefile{lof}{\contentsline {figure}{\numberline {13}{\ignorespaces  Frequency downgrading strategy}}{26}}
-\newlabel{fig:70dfs}{{13}{26}}
-\@writefile{lof}{\contentsline {figure}{\numberline {14}{\ignorespaces  Schedules obtained for Random strategy (left) and DFS strategy (right) for 10\% of system load}}{27}}
-\newlabel{fig:dfsComp}{{14}{27}}
-\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}}{27}}
-\newlabel{loadEnergy}{{4}{27}}
-\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}}{28}}
-\newlabel{loadMakespan}{{5}{28}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{28}}
-\newlabel{sec:coolemall}{{6}{28}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{29}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.3}Models}{20}}
+\@writefile{lot}{\contentsline {table}{\numberline {2}{\ignorespaces  $P_{cpubase}$ values}}{21}}
+\newlabel{nodeBasePowerUsage}{{2}{21}}
+\@writefile{lot}{\contentsline {table}{\numberline {3}{\ignorespaces  $P_{app}$ values}}{21}}
+\newlabel{appPowerUsage}{{3}{21}}
+\@writefile{lot}{\contentsline {table}{\numberline {4}{\ignorespaces  Power models accuracy}}{21}}
+\newlabel{expPowerModels}{{4}{21}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.4}Methodology}{22}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.5}Computational analysis}{22}}
+\@writefile{lot}{\contentsline {table}{\numberline {5}{\ignorespaces  Workload characteristics}}{23}}
+\newlabel{workloadCharacteristics}{{5}{23}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.1}Random approach}{24}}
+\@writefile{lof}{\contentsline {figure}{\numberline {9}{\ignorespaces  Random strategy}}{24}}
+\newlabel{fig:70r}{{9}{24}}
+\@writefile{lof}{\contentsline {figure}{\numberline {10}{\ignorespaces  Random + switching off unused nodes strategy}}{25}}
+\newlabel{fig:70rnpm}{{10}{25}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.2}Energy optimization}{25}}
+\@writefile{lot}{\contentsline {table}{\numberline {6}{\ignorespaces  Measured power of testbed nodes in idle state}}{26}}
+\newlabel{idlePower}{{6}{26}}
+\@writefile{lof}{\contentsline {figure}{\numberline {11}{\ignorespaces  Energy usage optimization strategy}}{26}}
+\newlabel{fig:70eo}{{11}{26}}
+\@writefile{lof}{\contentsline {figure}{\numberline {12}{\ignorespaces  Energy usage optimization + switching off unused nodes strategy}}{27}}
+\newlabel{fig:70eonpm}{{12}{27}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {5.5.3}Downgrading frequency}{28}}
+\@writefile{lof}{\contentsline {figure}{\numberline {13}{\ignorespaces  Frequency downgrading strategy}}{28}}
+\newlabel{fig:70dfs}{{13}{28}}
+\@writefile{lof}{\contentsline {figure}{\numberline {14}{\ignorespaces  Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}}{29}}
+\newlabel{fig:dfsComp}{{14}{29}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.6}Discussion}{29}}
+\@writefile{lot}{\contentsline {table}{\numberline {7}{\ignorespaces  Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{29}}
+\newlabel{loadEnergy}{{7}{29}}
+\@writefile{lot}{\contentsline {table}{\numberline {8}{\ignorespaces  Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}}{30}}
+\newlabel{loadMakespan}{{8}{30}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{30}}
+\newlabel{sec:coolemall}{{6}{30}}
 \bibcite{fit4green}{{1}{}{{}}{{}}}
 \bibcite{CloudSim}{{2}{}{{}}{{}}}
@@ -110,6 +117,7 @@
 \bibcite{Ghislain}{{6}{}{{}}{{}}}
 \bibcite{games}{{7}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{32}}
+\newlabel{}{{7}{32}}
 \bibcite{GreenCloud}{{8}{}{{}}{{}}}
-\newlabel{}{{7}{30}}
 \bibcite{sla}{{9}{}{{}}{{}}}
 \bibcite{GSSIM}{{10}{}{{}}{{}}}
@@ -127,3 +135,3 @@
 \bibcite{pue}{{22}{}{{}}{{}}}
 \bibcite{sgi}{{23}{}{{}}{{}}}
-\global\NAT@numberstrue
+\providecommand\NAT@force@numbers{}\NAT@force@numbers
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 730)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 732)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1356946221 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1356960700 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -30,7 +30,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1356946224 7837 67e14b1fac09b7adec981f20f88b1c56 ""
-  "elsarticle-DCWoRMS.spl" 1356946222 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1356946220 66677 476a4652be9ffee9de21f92ed9a14627 ""
+  "elsarticle-DCWoRMS.aux" 1356960702 8416 7967b114deba127e363cf24882eed70d ""
+  "elsarticle-DCWoRMS.spl" 1356960700 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1356960671 71216 163d5730d1c8fc97ec00ae0f0edd04a1 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/70dfs.png" 1356617710 212573 e013d714dd1377384ed7793222210051 ""
Index: /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 731)
+++ /papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 732)
@@ -415,6 +415,4 @@
 \section{Experiments and evaluation}\label{sec:experiments}
 
-TODO - correct, improve, refactor...
-
 In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. To this end we evaluate the impact of energy-aware resource management policies on overall energy-efficiency of specific workloads on heterogeneous resources. The following sections contain description of the used system, tested application and the results of simulation experiments conducted for the evaluated strategies.
 
@@ -449,5 +447,5 @@
 \subsection{Evaluated applications}
 
-As mentioned, first we carried out a set of tests on the real hardware used as a CoolEmAll testbed to build the performance and energy profiles of applications. Then we applied this data into the simulation environment and used to investigate different approaches to energy-aware resource management. The following applications were taken into account:
+As mentioned, first we carried out a set of tests on the real hardware used as a CoolEmAll testbed to build the performance and energy profiles of applications.  The following applications were taken into account:
 
 \textbf{Abinit} is a widely-used application for computational physics simulating systems made of electrons and nuclei to be calculated within density functional theory.
@@ -460,4 +458,68 @@
 
 \textbf{FFTE} benchmark measures the floating-point arithmetic rate of double precision complex one-dimensional Discrete Fourier Transforms of 1-, 2-, and 3-dimensional sequences of length $2^{p} * 3^{q} * 5^{r}$. In our tests only one core was used to run the application.
+
+
+\subsection{Models}
+
+Based on the measured values we evaluated three types of models that can be applied, among others, to the simulation environment.
+
+\textbf{Static}
+This model refers to the static approach presented in Section~\ref{sec:power}. According to the measured values we created a resource power consumption model that is based on a static definition of resource power usage. With each node power state, understood as a possible operating state (p-state), we associated a power consumption value that derives from the averaged values of measurements obtained for different types of application. Therefore, the current power usage of the node, can be expressed as: $P = P_{idle} + P_{f}$ where $P$ denotes power consumed by the node, $P_{idle}$ is a power usage of node in idle state and $P_{f}$ stands for power usage of CPU operating at the given frequency level.
+
+\textbf{Dynamic}
+This model is combination of Resource load and Application specific approaches presented in Section~\ref{sec:power}. Based on the measured values and referring to the existing models presented in literature, we assumed the following equation: $P = P_{idle} + load*P_{cpubase}*c^{(f-f_{base})/100} + P_{app}$, where $P$ denotes power consumed by the node executing the given application, $P_{idle}$ is a power usage of node in idle state, load is the current utilization level of the node, $P_{cpubase}$ stands for power usage of fully loaded CPU working in the lowest frequency, $c$ is the constant factor indicating the increase of power consumption with respect to the frequency increase $f$- is a current frequency, $f_{base}$- is the lowest available frequency within the given CPU and $P_{app}$ denotes the additional power usage derived from executing a particular application).
+
+
+Table~\ref{nodeBasePowerUsage} and Table~\ref{appPowerUsage} contain values of $P_{cpubase}$ and $P_{app}$, respectively, obtained for the particular application and resource architectures. Lack of value means that the application did not run on the given type of node.
+\begin {table}[h!]
+\centering
+\begin{tabular}{lccc}
+\hline
+Intel I7 & AMD Fusion  & Atom D510  \\
+\hline
+ 8 & 2 & 1 \\
+\hline
+\end{tabular}
+\caption {\label{nodeBasePowerUsage} $P_{cpubase}$ values}
+\end {table}
+
+
+\begin {table}[h!]
+\centering
+\begin{tabular}{l|ccc}
+\hline
+ & \multicolumn{3}{c} {Node type}\\ 
+Application & Intel I7 & AMD Fusion  & Atom D510  \\
+\hline
+Abinit & 3.3 &  - &  - \\
+Linpactiny & 2.5 & - & 0.2 \\
+Linpack3gb &  6 &  -  & -  \\
+C-Ray & 4 & 1 & 0.05 \\
+FFT & 3.5 & 2 & 0.1 \\
+Tar & 3 & 2.5 & 0.5 \\
+
+\hline
+\end{tabular}
+\caption {\label{appPowerUsage} $P_{app}$ values}
+\end {table}
+
+
+\textbf{Mapping}
+In this model we applied the measured values exactly to the power model. Obviously this model is contaminated only with the inaccuracy of the measurements.
+	
+The following table (Table~\ref{expPowerModels}) contains the relative errors of the models with respect to the measured values
+\begin {table}[h!]
+\centering
+\begin{tabular}{llr}
+\hline
+Static & Dynamic  & Mapping \\
+\hline
+13.74 & 10.85 & 0 \\
+\hline
+\end{tabular}
+\caption {\label{expPowerModels} Power models accuracy}
+\end {table}
+
+For the experimental purposes we decided to use the latter model. Thus, we introduce into the simulation environment exact values obtained within our testbed, to build both the power profiles of applications as well as the application performance models, denoting the their execution times.
 
 
@@ -507,7 +569,7 @@
 Then we discusses the corresponding results received for workloads with other density level.
 
-\subsubsection{Random approach}
-
-The first considered by us policy was the Random strategy in which tasks were assigned to nodes in random manner with the reservation that they can be assigned only to nodes of the type which the application was possible to execute on and we have the corresponding value of power consumption and execution time. The Random strategy is only the reference one and will be later used to compare benefits in terms of energy efficiency resulting from more sophisticated algorithms. Criteria values are as follows: \textbf{total energy usage}: 46,883 kWh, \textbf{workload completion time}: 533 820 s.
+\subsubsection{Random approach} 
+
+The first considered by us policy was the Random (R) strategy in which tasks were assigned to nodes in random manner with the reservation that they can be assigned only to nodes of the type which the application was possible to execute on and we have the corresponding value of power consumption and execution time. The Random strategy is only the reference one and will be later used to compare benefits in terms of energy efficiency resulting from more sophisticated algorithms. Criteria values are as follows: \textbf{total energy usage}: 46,883 kWh, \textbf{workload completion time}: 533 820 s.
 Figure~\ref{fig:70r} presents the energy consumption, load of the system and obtained schedule, respectively.
 
@@ -529,7 +591,7 @@
 In this version of experiment we neglected additional cost and time necessary to change the power state of resources. As can be observed in the power consumption chart in the Figure~\ref{fig:70rnpm}, switching of unused nodes led to decrease of the total energy consumption. As expected, with respect to the makespan criterion, both approaches perform equally reaching \textbf{workload completion time}: 533 820 s. However, the pure random strategy was significantly outperformed in terms of energy usage, by the policy with additional node power management with its \textbf{total energy usage}: 36,705 kWh. The overall energy savings reached 22\%. 
 
-\subsubsection{Energy optimization}
-
-The next two evaluate resource management strategies try to decrease the total energy consumption needed to execute the whole workload taking into account differences in applications and hardware profiles. We tried to match both profiles to find the more energy efficient assignment. In the first case we assumed that there is again no possibility to switch off unused nodes, thus for the whole time needed to execute workload nodes consume at least power for idle state. To obtain the minimal energy consumption, tasks has to be assigned to the nodes of type for which the difference between energy consumption for the node running the application and in the idle state is minimal. The power usage measured in idle state for three types of nodes is gathered in the Table~\ref{idlePower}.
+\subsubsection{Energy optimization} 
+
+The next two evaluate resource management strategies try to decrease the total energy consumption (EO) needed to execute the whole workload taking into account differences in applications and hardware profiles. We tried to match both profiles to find the more energy efficient assignment. In the first case we assumed that there is again no possibility to switch off unused nodes, thus for the whole time needed to execute workload nodes consume at least power for idle state. To obtain the minimal energy consumption, tasks has to be assigned to the nodes of type for which the difference between energy consumption for the node running the application and in the idle state is minimal. The power usage measured in idle state for three types of nodes is gathered in the Table~\ref{idlePower}.
 
 \begin {table}[h!]
@@ -569,7 +631,7 @@
 Estimated \textbf{total energy usage} of the system is 30,568 kWh. As we can see, this approach significantly improved the value of this criterion, comparing to the previous policies. Moreover, the proposed allocation strategy does not worsen the \textbf{workload completion time} criterion, for which the resulting value is equal to 533 820 s.
 
-\subsubsection{Frequency scaling}
-
-The last considered by us case is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration is the total energy consumption. In this experiment we configured the simulated infrastructure for the lowest possible frequencies of CPUs. The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload. The values of the evaluated criteria are as follows: \textbf{workload completion time}: 1 065 356 s and \textbf{total energy usage}: 77,109 kWh. As we can see, for the given load of the system (70\%), the cost of running the workload that requires almost twice more time, can not be compensate by the lower power draw. Moreover, as it can be observed on the charts in Figure~\ref{fig:70dfs}, the execution times on the slowest nodes (Atom D510) visibly exceeds the corresponding values on other servers.
+\subsubsection{Downgrading frequency} 
+
+The last considered by us case is modification of the random strategy. We assume that tasks do not have deadlines and the only criterion which is taken into consideration is the total energy consumption. In this experiment we configured the simulated infrastructure for the lowest possible frequencies of CPUs (LF). The experiment was intended to check if the benefit of running the workload on less power-consuming frequency of CPU is not leveled by the prolonged time of execution of the workload. The values of the evaluated criteria are as follows: \textbf{workload completion time}: 1 065 356 s and \textbf{total energy usage}: 77,109 kWh. As we can see, for the given load of the system (70\%), the cost of running the workload that requires almost twice more time, can not be compensate by the lower power draw. Moreover, as it can be observed on the charts in Figure~\ref{fig:70dfs}, the execution times on the slowest nodes (Atom D510) visibly exceeds the corresponding values on other servers.
 	
 \begin{figure}[h!]
@@ -580,9 +642,7 @@
 
 
-As we were looking for the trade-off between total completion time and energy usage, we were searching for the workload load level that can benefit from the lower system performance in terms of energy-efficiency. For the frequency downgrading policy, we noticed the improvement on the energy usage criterion only for the workload resulting in 10\% system load. For this threshold we observed that slowdown in task execution does not affect the subsequent tasks in the system and thus total completion time of the whole workload.
+As we were looking for the trade-off between total completion time and energy usage, we were searching for the workload load level that can benefit from the lower system performance in terms of energy-efficiency. For the frequency downgrading policy, we noticed the improvement on the energy usage criterion only for the workload resulting in 10\% system load. For this threshold we observed that slowdown in task execution does not affect the subsequent tasks in the system and thus total completion time of the whole workload. T
 	
-
-
-Figure~\ref{fig:dfsComp} shows schedules obtained for Random and DFS strategy. 
+Figure~\ref{fig:dfsComp} shows schedules obtained for Random and Random + lowest frequency strategy. 
 
 
@@ -590,8 +650,8 @@
 \centering
 \includegraphics[width = 12cm]{fig/dfsComp.png}
-\caption{\label{fig:dfsComp} Schedules obtained for Random strategy (left) and DFS strategy (right) for 10\% of system load}
-\end{figure}
-
-
+\caption{\label{fig:dfsComp} Schedules obtained for Random strategy (left) and Random + lowest frequency strategy (right) for 10\% of system load}
+\end{figure}
+
+\subsection{Discussion}
 The following tables: Table~\ref{loadEnergy} and Table~\ref{loadMakespan} contain the values of evaluation criteria (total energy usage and makespan respectively) gathered for all investigated workloads.
 
@@ -601,5 +661,5 @@
 \hline
 &  \multicolumn{5}{c}{Strategy}\\
-Load  & R & R+NPM & EO & EO+NPM & DFS\\
+Load  & R & R+NPM & EO & EO+NPM & R+LF\\
 \hline
 10\% & 241,337 &	37,811 & 239,667 & 25,571 & 239,278 \\
@@ -609,5 +669,5 @@
 \hline
 \end{tabular}
-\caption {\label{loadEnergy} Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}
+\caption {\label{loadEnergy} Energy usage [kWh] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}
 \end {table}
 
@@ -617,5 +677,5 @@
 \hline
 &  \multicolumn{5}{c}{Strategy}\\
-Load  & R & R+NPM & EO & EO+NPM & DFS\\
+Load  & R & R+NPM & EO & EO+NPM & R+LF\\
 \hline
 10\% & 3 605 428 & 3 605 428 & 3 605 428 & 3 605 428 & 3 622 968 \\
@@ -625,8 +685,8 @@
 \hline
 \end{tabular}
-\caption {\label{loadMakespan} Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, DFS - Dynamic Frequency Scaling}
+\caption {\label{loadMakespan} Makespan [s] for different level of system load. R - Random, R+NPM - Random + node power management, EO - Energy optimization, EO+NPM - Energy optimization + node power management, R+LF - Random + lowest frequency}
 \end {table}
 
-Referring to the Table~\ref{loadEnergy}, one should easily note that gain from switching off unused nodes decreases with the increasing workload density. In general, for the highly loaded system such policy does not find an application due to the cost related to this process and relatively small benefits.
+Referring to the Table~\ref{loadEnergy}, one should easily note that gain from switching off unused nodes decreases with the increasing workload density. In general, for the highly loaded system such policy does not find an application due to the cost related to this process and relatively small benefits. Another interesting conclusion, reefers to the poor result for Random strategy with downgrading the frequency approach. The lack of improvement on the energy usage criterion for higher system load can be explained by the relatively small or no benefit obtained for prolonging the task execution, and thus, maintaining the node in working state. The cost of longer workload completion, can not be compensate by the very little energy savings derived from the lower operating state of node.
 
 