Index: DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig30.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig30.xml	(revision 735)
+++ DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig30.xml	(revision 735)
@@ -0,0 +1,34 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="1000" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+ 
+	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
+ 
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+ 
+	<JobInterval avg="1200" min="0" max="1500" stdev="300" distribution="poisson" seed="21"/>
+	
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+  				<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.3</dist>
+      			<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.3</dist>
+     		 	<dist avg="3" min="3" max="3" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="5" min="5" max="5" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="7" min="7" max="7" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="8" min="8" max="8" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+	 
+</tns:WorkloadConfiguration>
+
+
Index: DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig50.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig50.xml	(revision 735)
+++ DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig50.xml	(revision 735)
@@ -0,0 +1,34 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="1000" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+ 
+	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
+ 
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+ 
+	<JobInterval avg="720" min="0" max="1200" stdev="300" distribution="poisson" seed="21"/>
+	
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+  				<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.3</dist>
+      			<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.3</dist>
+     		 	<dist avg="3" min="3" max="3" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="5" min="5" max="5" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="7" min="7" max="7" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="8" min="8" max="8" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+	 
+</tns:WorkloadConfiguration>
+
+
Index: DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig70.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig70.xml	(revision 735)
+++ DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig70.xml	(revision 735)
@@ -0,0 +1,34 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="1000" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+ 
+	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
+ 
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+ 
+	<JobInterval avg="520" min="0" max="1200" stdev="300" distribution="poisson" seed="21"/>
+	
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+  				<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.3</dist>
+      			<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.3</dist>
+     		 	<dist avg="3" min="3" max="3" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="5" min="5" max="5" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="7" min="7" max="7" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="8" min="8" max="8" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+	 
+</tns:WorkloadConfiguration>
+
+
Index: DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig10.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig10.xml	(revision 735)
+++ DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig10.xml	(revision 735)
@@ -0,0 +1,34 @@
+<tns:WorkloadConfiguration 
+	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+ 
+  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
+ 
+	<JobCount avg="1000" distribution="constant"/>
+ 
+	<TaskCount avg="1" distribution="constant"/>
+ 
+	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
+ 
+	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
+ 
+	<JobInterval avg="3000" min="0" max="3600" stdev="300" distribution="poisson" seed="21"/>
+	
+	<ComputingResourceHostParameter metric="cpucount">
+		<value id="cpucnt">
+	  		<MultiDistribution>
+  				<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.3</dist>
+      			<dist avg="2" min="2" max="2" stdev="0" distribution="uniform">0.3</dist>
+     		 	<dist avg="3" min="3" max="3" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.1</dist>
+     		 	<dist avg="5" min="5" max="5" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="6" min="6" max="6" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="7" min="7" max="7" stdev="0" distribution="uniform">0.05</dist>
+     		 	<dist avg="8" min="8" max="8" stdev="0" distribution="uniform">0.05</dist>
+   			</MultiDistribution>
+   		</value>	
+	</ComputingResourceHostParameter>
+	 
+</tns:WorkloadConfiguration>
+
+
Index: DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig.xml
===================================================================
--- DCWoRMS/trunk/src/test/article/workloadgen/conf1/WorkloadConfig.xml	(revision 656)
+++ 	(revision )
@@ -1,28 +1,0 @@
-<tns:WorkloadConfiguration 
-	xmlns:tns="http://www.man.poznan.pl/WorkloadSchema" 
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
- 
-  	<SimulationStartTime>2009-01-15T10:00:00</SimulationStartTime>
- 
-	<JobCount avg="100" distribution="constant"/>
- 
-	<TaskCount avg="1" distribution="constant"/>
- 
-	<TaskLength avg="14400" min="10800" max="18000" stdev="3600.0" distribution="normal"/>
- 
-	<JobPackageLength avg="1.0" min="1.0" max="1.0" stdev="0.0" distribution="constant"/>
- 
-	<JobInterval avg="50" min="0" max="100" stdev="30" distribution="poisson" seed="21"/>
-	
-	<ComputingResourceHostParameter metric="cpucount">
-		<value id="cpucnt">
-	  		<MultiDistribution>
-      			<dist avg="1" min="1" max="1" stdev="0" distribution="uniform">0.95</dist>
-     		 	<dist avg="4" min="4" max="4" stdev="0" distribution="uniform">0.05</dist>
-   			</MultiDistribution>
-   		</value>	
-	</ComputingResourceHostParameter>
-	 
-</tns:WorkloadConfiguration>
-
-